Subject: bug#55744: infinite loop

From: "Daniel R. Grayson" <[email-masked]>
Date: Mon, 6 Jun 2022 15:46:02 -0700

Conceivably, although I wasn't referring to the manual, even after I
isolated the offending
regexp.

On Mon, Jun 6, 2022 at 3:15 PM Richard Stallman <[email-masked]> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > That's a regexp with a lot of backtracking, I think (i.e., elements
> that
>   > can be matched both by the ?'s as well as the two *'s).  So matching
>   > this will be slow, which results in the hangs you're seeing when Emacs
>   > is trying to match that to the text in the buffer.
>
> Would it make sense to say more about this point in the Emacs Lisp Manual
> where it describes regexps?
>
> --
> Dr Richard Stallman (https://stallman.org)
> Chief GNUisance of the GNU Project (https://gnu.org)
> Founder, Free Software Foundation (https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>